libzypp 17.37.10

zyppng::SyncMediaHandle Class Reference

`#include <zypp/ng/workflows/mediafacade.h>`

## Public Types
using | ParentType = MediaSyncFacade

## Public Member Functions
| SyncMediaHandle ()
| SyncMediaHandle (AttachedSyncMediaInfo_Ptr dataPtr)
MediaSyncFacadeRef | parent () const
bool | isValid () const
const zypp::Url & | baseUrl () const
const std::optional< zypp::Pathname > & | localPath () const
const AttachedSyncMediaInfo & | info () const

## Private Attributes
AttachedSyncMediaInfo_Ptr | _data

## Detailed Description

Definition at line 26 of file mediafacade.h.

## Member Typedef Documentation

## ◆ ParentType

using zyppng::SyncMediaHandle::ParentType = MediaSyncFacade

Definition at line 29 of file mediafacade.h.

## Constructor & Destructor Documentation

## ◆ SyncMediaHandle() [1/2]

zyppng::SyncMediaHandle::SyncMediaHandle | ( |  | ) |

Definition at line 110 of file mediafacade.cc.

## ◆ SyncMediaHandle() [2/2]

zyppng::SyncMediaHandle::SyncMediaHandle | ( | AttachedSyncMediaInfo_Ptr | dataPtr | ) |

Definition at line 112 of file mediafacade.cc.

## Member Function Documentation

## ◆ parent()

MediaSyncFacadeRef zyppng::SyncMediaHandle::parent | ( |  | ) | const

Definition at line 115 of file mediafacade.cc.

## ◆ isValid()

bool zyppng::SyncMediaHandle::isValid | ( |  | ) | const

Definition at line 120 of file mediafacade.cc.

## ◆ baseUrl()

const zypp::Url & zyppng::SyncMediaHandle::baseUrl | ( |  | ) | const

Definition at line 125 of file mediafacade.cc.

## ◆ localPath()

const std::optional< zypp::Pathname > & zyppng::SyncMediaHandle::localPath | ( |  | ) | const

Definition at line 132 of file mediafacade.cc.

## ◆ info()

const AttachedSyncMediaInfo & zyppng::SyncMediaHandle::info | ( |  | ) | const

Definition at line 140 of file mediafacade.cc.

## Member Data Documentation

## ◆ _data

AttachedSyncMediaInfo_Ptr zyppng::SyncMediaHandle::_data
| private

Definition at line 40 of file mediafacade.h.

The documentation for this class was generated from the following files:

- zypp/ng/workflows/mediafacade.h
- zypp/ng/workflows/mediafacade.cc